# vim: set ts=2 sw=2 sts=2 et:
#
# Data
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Role\Permission:
  - {code: "[vendor] manage catalog", section: Vendors, module: XC\MultiVendor}
  - {code: "[vendor] manage orders", section: Vendors, module: XC\MultiVendor}
  - {code: "[vendor] manage shipping", section: Vendors, module: XC\MultiVendor}

XLite\Model\Notification:
  - {templatesDirectory: modules/XC/MultiVendor/low_limit_warning, module: XC\MultiVendor}
  - {templatesDirectory: modules/XC/MultiVendor/backorder_created, module: XC\MultiVendor}
  - {templatesDirectory: modules/XC/MultiVendor/backorder_created_for_admin, module: XC\MultiVendor}
  - {templatesDirectory: modules/XC/MultiVendor/order_canceled, module: XC\MultiVendor}
  - {templatesDirectory: modules/XC/MultiVendor/order_changed, module: XC\MultiVendor}
  - {templatesDirectory: modules/XC/MultiVendor/order_created, module: XC\MultiVendor}
  - {templatesDirectory: modules/XC/MultiVendor/order_failed, module: XC\MultiVendor}
  - {templatesDirectory: modules/XC/MultiVendor/order_processed, module: XC\MultiVendor}
  - {templatesDirectory: modules/XC/MultiVendor/vendor_signin_notification, module: XC\MultiVendor}
  - {templatesDirectory: modules/XC/MultiVendor/vendor_order_rated, module: XC\MultiVendor}
  - {templatesDirectory: modules/XC/MultiVendor/vendor_order_rated_for_admin, module: XC\MultiVendor}
  - {templatesDirectory: modules/XC/MultiVendor/vendor_approved_notification, module: XC\MultiVendor}
  - {templatesDirectory: modules/XC/MultiVendor/vendor_declined_notification, module: XC\MultiVendor}
  - {templatesDirectory: modules/XC/MultiVendor/vendor_request_for_payment, module: XC\MultiVendor}
  - {templatesDirectory: modules/XC/MultiVendor/vendor_request_for_payment_approved, module: XC\MultiVendor}
  - {templatesDirectory: modules/XC/MultiVendor/vendor_request_for_payment_rejected, module: XC\MultiVendor}

XLite\Model\Config:
  - name: onboarding_message
    category: XC\MultiVendor
    value: '<p><span style="font-size:24px;">Welcome to our marketplace!</span></p><p>You can complete your company profile on the &quot;My account&quot; -&gt; &quot;<a href="/admin/?target=vendor">Company details</a>&quot; page. This information will be shown to shoppers.&nbsp;</p><p>Do not forget to provide us your financial information on the &quot;My account&quot; -&gt; &quot;<a href="/admin/?target=financialInfo">Financial info</a>&quot; page. &nbsp;</p><p>To add your first product, go to &nbsp;the &quot;Catalog&quot; -&gt; &quot;<a href="/admin/?target=product_list">Products</a>&quot; page. You can also import your catalog from spreadsheet. Contact us for help formatting your data for import.&nbsp;</p><p>Your current balance is shown on the dashboard. In addition to that, you can get a detailed list of all the transactions on the &quot;My account&quot; -&gt; &quot;<a href="/admin/?target=profile_transactions">My transactions</a>&quot; page. You can send a request for payout from the same page as well.&nbsp;</p><p>All your orders can be found on the &quot;Orders&quot; -&gt; &quot;<a href="/admin/?target=order_list">Order list</a>&quot; page. Click on the order number to get more information about the order line items.&nbsp;</p><p>If you have any questions, feel free to contact us at any time.&nbsp;</p>'
